<template>
  <ion-app>
    <Notivue v-slot="item">
      <Notification :item="item" />
    </Notivue>
    <!-- <ion-router-outlet /> -->
    <router-view />
  </ion-app>
</template>

<script setup>
import { IonApp, IonRouterOutlet } from "@ionic/vue";
import { Notivue, Notification } from "notivue";
import { inject } from "vue";
import { useBaseStore } from "./stores/base";
// store
const baseStore = useBaseStore();
// cookie
const cookies = inject("$cookies");
// if user logged in before
const JWTToken = cookies?.get("jwt");
if (JWTToken && !baseStore?.is_user_logged_in) {
  baseStore.getUserData(JWTToken)
}
</script>
